Loading...
Searching...
No Matches
latency.h File Reference
SPA » Parameters

spa/param/latency.h More...

Go to the source code of this file.

## Data Structures

struct | spa_latency_info
| helper structure for managing latency objects More...
struct | spa_process_latency_info
| Helper structure for managing process latency objects. More...

## Macros

#define | SPA_LATENCY_INFO(dir, ...)
#define | SPA_LATENCY_INFO_UNSET(dir)
#define | SPA_PROCESS_LATENCY_INFO_INIT(...)

## Enumerations

enum | spa_param_latency { SPA_PARAM_LATENCY_START , SPA_PARAM_LATENCY_direction , SPA_PARAM_LATENCY_minQuantum , SPA_PARAM_LATENCY_maxQuantum , SPA_PARAM_LATENCY_minRate , SPA_PARAM_LATENCY_maxRate , SPA_PARAM_LATENCY_minNs , SPA_PARAM_LATENCY_maxNs }
| Properties for SPA_TYPE_OBJECT_ParamLatency. More...
enum | spa_param_process_latency { SPA_PARAM_PROCESS_LATENCY_START , SPA_PARAM_PROCESS_LATENCY_quantum , SPA_PARAM_PROCESS_LATENCY_rate , SPA_PARAM_PROCESS_LATENCY_ns }
| Properties for SPA_TYPE_OBJECT_ParamProcessLatency. More...

## Detailed Description

spa/param/latency.h